---
title: Front end
---

## Frontend overview

The frontend is written in react/typescript. It's is a single page application that communicates with the backend via a REST API. The frontend is built using vite and served by the backend.

## ADRs

We have created a set of ADRs to help guide the development of the frontend:

* [Component naming](./ADR/component-naming.md)
* [Interface naming](./ADR/interface-naming.md)
* [Preferred component props usage](./ADR/preferred-component-props-usage.md)
* [Preferred export](./ADR/preferred-export.md)
* [Preferred function type](./ADR/preferred-function-type.md)
* [Preferred style import placement](./ADR/preferred-styles-import-placement.md)
* [Preferred styling method](./ADR/preferred-styling-method.md)
* [Preferred data mutation method](./ADR/preferred-data-mutation-method.md)
* [Preferred data fetching method](./ADR/preferred-data-fetching-method.md)
* [Preferred folder structure](./ADR/preferred-folder-structure.md)
* [Preferred form architecture](./ADR/preferred-form-architecture.md)
